View Issue Details

IDProjectCategoryView StatusLast Update
0000469FreeCADFeaturepublic2011-11-05 16:25
ReportertilasAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000469: Sketcher: Strange axes behavior
Descriptionif the first entity is created entirely inside one quadrant, the axes beyond that quadrant just disappear...
TagsNo tags attached.

Activities

2011-11-03 20:32

 

axes.png (Attachment missing)

tilas

2011-11-03 20:50

reporter   ~0001225

moving the sketch around seems to trigger the same weird behavior, see the second pic.

2011-11-03 20:50

 

axes1.png (Attachment missing)

logari81

2011-11-03 21:18

developer   ~0001226

I agree, the axes should be square and symmetric. Now we have four limits minX,maxX,minY,maxY

instead we should have
-a,+a,-a,+a
respectively.

"a" should also be calculated from fixed steps in probably a log scala.

tilas

2011-11-03 21:38

reporter   ~0001227

If I am not mistaken, in commercial cad the size of axes is defined by the user in the options. If not directly, then implicitly, as a fraction of the 'project size' parameter or something like that. Could be even when creating a new file/project.

Jriegel

2011-11-04 19:19

administrator   ~0001232

Actually not really a bug. We can take that one in the 0.13

Jriegel

2011-11-04 21:45

administrator   ~0001251

I fixed it with R5091

Issue History

Date Modified Username Field Change
2011-11-03 20:32 tilas New Issue
2011-11-03 20:32 tilas File Added: axes.png
2011-11-03 20:50 tilas Note Added: 0001225
2011-11-03 20:50 tilas File Added: axes1.png
2011-11-03 21:18 logari81 Note Added: 0001226
2011-11-03 21:38 tilas Note Added: 0001227
2011-11-04 19:19 Jriegel Note Added: 0001232
2011-11-04 19:19 Jriegel Assigned To => Jriegel
2011-11-04 19:19 Jriegel Status new => assigned
2011-11-04 19:19 Jriegel Category Bug => Feature
2011-11-04 21:45 Jriegel Note Added: 0001251
2011-11-04 21:45 Jriegel Status assigned => resolved
2011-11-04 21:45 Jriegel Fixed in Version => 0.12
2011-11-04 21:45 Jriegel Resolution open => fixed
2011-11-05 16:25 wmayer Status resolved => closed